Skip to Content

Archived discussions are read-only. Learn more about SAP Q&A

Error migration Business Content workbook 3.x to 7.0

Hello friends,

I can not migrate workbooks of business content to version 7.0

I activated all workbooks BW 7.4, but I can not see them because it tells me that migrate is necessary, however when I try to migrate the error and warning me that I detail below appears.

On the other hand, I found the document Cookbook BEx Migration for delivering possible solutions but have not succeeded.


An error occurred while reading the metadata associated with this query in the workbook. This metadata is stored in two hidden repository sheets: SAPBEXqueries and SAPBEXfilters. The error may have been caused by corrupt metadata in the hidden sheets. It is also possible that these are BW 2.x workbooks that were opened directly in the BEx Analyzer from SAP NetWeaver 7.0.

System Response

Since the metadata was not read correctly, it is possible that the query in the workbook was not upgraded correctly. The upgrade process continued, but there may be consistency issues, which you should check for by refreshing the workbook. If you are working with a BW 2.x workbook, the workbook may not be upgraded at all.


First try refreshing the workbook in the 7.0 Analyzer to check whether the query refreshes correctly despite these errors and whether these errors can be ignored. If the query refreshes correctly, the warning can be ignored and the workbook can be saved.

If the workbook does not refresh correctly in the 7.0 Analyzer, check whether it refreshes correctly in the 3.x Analyzer. If errors occur while refreshing the workbook in the 3.x Analyzer, the workbook is probably corrupt. You should then investigate the cause of this in the 3.x Analyzer.

If the workbook refreshes correctly in the 3.x Analyzer, another possible cause could be that the Excel workbook or worksheet is protected. Try unprotecting the worksheet or workbook and upgrading it again in the 7.0 Analyzer.

If the workbook was created using 2.x Analyzer, save the workbook again in the 3.x Analyzer and try opening it in the 7.0 Analyzer.

If none of these solutions resolve the problem, there may be other compatibility issues between the 3.x and the 7.0 Analyzer. In such cases, check whether you can make adjustments manually with the 7.0 Analyzer to solve the problem.


The workbook that you have opened is an SAP BW 3.x workbook. This by default calls the upgrade service, which upgrades this workbook to a 7.0 workbook.

System Response

The BEx Analyzer tries to upgrade this workbook to a 7.0 workbook.


When the workbook is opened, it is automatically upgraded to a 7.0 workbook. Therefore, when you see the workbook, it has already been upgraded. You need to refresh this workbook to check whether it has been upgraded successfully, and then save it. Once you save the workbook, it is permanently upgraded to the newer version and the old version is no longer available.



Not what you were looking for? View more on this topic or Ask a question